"""Inference SDK HTTP module.

This module provides HTTP-based functionality for the Inference SDK, including utilities
for making HTTP requests, handling responses, and processing images. It contains tools
for loading and preprocessing images, building requests, and managing API interactions.

The module includes utilities for:
- Loading images from files, URLs and base64 strings
- Resizing and preprocessing images while maintaining aspect ratio
- Building and formatting HTTP requests with proper headers and payloads
- Handling API responses and errors safely
- Profiling workflow execution
"""
